Bug 235501 - Review Request: jsdoc - Produces javadoc-style documentation from JavaScript sourcefiles
Review Request: jsdoc - Produces javadoc-style documentation from JavaScript ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Xavier Lamien
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-06 08:01 EDT by Matěj Cepl
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 1.10.2-4.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-16 12:56:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lxtnow: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Matěj Cepl 2007-04-06 08:01:56 EDT
Spec URL: http://www.ceplovi.cz/matej/progs/rpms/jsdoc.spec
SRPM URL: http://www.ceplovi.cz/matej/progs/rpms/jsdoc-1.10.2-1.src.rpm
Description:
A script that produces javadoc-style documentation from
well-formed JavaScript sourcefiles. At the moment, this means it
supports sourcefiles where all functions are mapped to a class
using prototype-based inheritance.  Anonymous function
definitions (e.g. Circle.prototype.getRadius = function(){ ...} )
are supported.
Comment 1 Matěj Cepl 2007-04-06 08:51:31 EDT
Currently there is a known problem with this package -- missing license. I am
trying to get upstream to make some changes in that.
Comment 2 Matěj Cepl 2007-04-07 17:57:22 EDT
The license issue resolved -- it is GPL.
Updated SRPM URL: http://www.ceplovi.cz/matej/progs/rpms/jsdoc-1.10.2-2.src.rpm
(of course, URL of the .spec file is the same)
Comment 3 Xavier Lamien 2007-06-18 14:48:08 EDT
ping ?

This package has some delay review, so i will
Comment 4 Xavier Lamien 2007-06-18 20:10:44 EDT
Well,

 [ OK ]     Mock built on x86_64 (F-7 and devel)
 [ FAILED ] Package is named according to the Package Naming Guidelines.
 [ FAILED ] Spec file name must match the base package %{name}.
 [ OK ]     Package meets the Packaging Guidelines.
 [ OK ]     Buildroot is correct (nothing to do).
 [ OK ]     Package is licensed with an open-source compatible license.
 [ ? ]      License field in the package spec file matches the actual license.
 [ ? ]      License type: GPL
 [ FAILED ] License text is included in the package or If (and only if)the
license is containing the text of the license(s) for the package is included in
%doc.

 [ OK ]     Spec file is legible and written in American English.
 [ OK ]     Package has not binaries files and set to noarch package.
 [ OK ]     BuildRequires aren't redundant (unneeded for this package).
 [ OK ]     The spec file handles locales properly.
 [ OK ]     Package must own all directories that it creates.
 [ OK ]     Package requires other packages for directories it uses.
 [ Ok ]     Package does not contain duplicates in %files.
 [ FAILED ] Permissions on files are set properly.
 [ OK ]     Package has a %clean section.
 [ Ok ]     Package consistently uses macros.
 [ OK ]     Package contains code, or permissable content.
 [ OK ]     Package does not contain any libtool archives (.la).
 [ FAILED ] Package does not own files or directories owned by other packages.


== Rpmlint output: ==

 [ OK ]     From SRPM: silent.
 [ FAILED ] From RPM:

E: jsdoc script-without-shebang /usr/share/jsdoc/index.tmpl
E: jsdoc script-without-shebang /usr/lib/perl5/vendor_perl/5.8.8/JSDoc.pm
E: jsdoc script-without-shebang /usr/lib/perl5/vendor_perl/5.8.8/JSDoc/xmi.tmpl
E: jsdoc script-without-shebang /usr/lib/perl5/vendor_perl/5.8.8/JSDoc/XML.pm
E: jsdoc script-without-shebang /usr/share/jsdoc/allclasses-noframe.tmpl
E: jsdoc script-without-shebang /usr/share/jsdoc/overview-frame.tmpl
E: jsdoc script-without-shebang
/usr/lib/perl5/vendor_perl/5.8.8/JavaScript/Syntax/HTML.pm
E: jsdoc script-without-shebang /usr/share/jsdoc/allclasses-frame.tmpl
E: jsdoc script-without-shebang /usr/share/jsdoc/overview-summary.tmpl
E: jsdoc script-without-shebang /usr/share/jsdoc/main.tmpl
E: jsdoc script-without-shebang /usr/share/jsdoc/help-doc.tmpl
E: jsdoc script-without-shebang /usr/share/jsdoc/overview-tree.tmpl
E: jsdoc wrong-script-end-of-line-encoding /usr/share/jsdoc/overview-tree.tmpl
E: jsdoc script-without-shebang /usr/share/jsdoc/stylesheet.css
E: jsdoc script-without-shebang /usr/share/jsdoc/constant-values.tmpl
E: jsdoc script-without-shebang /usr/lib/perl5/vendor_perl/5.8.8/JSDoc/xml.tmpl
E: jsdoc script-without-shebang /usr/share/jsdoc/index-all.tmpl
E: jsdoc script-without-shebang /usr/lib/perl5/vendor_perl/5.8.8/JSDoc/XMI.pm




=== Issues ===

* Your package name SHOULD match the base package name which is JSDoc (with
upperCase letters).
So move your package name from jsdoc to JSDoc.
Also your spec file name.

* The license text seem not added in package and not included in other text file
which are included in the package.

* From %install stage:
Permission on files actually not correctly set for script files (see rpmlint
output above).
Also keep time stamps on docs files.

* From %files section
Your installed directory "%{perl_vendorlib}"is not good, cause your package own
other directories owned by orther installed packages which already owned them.
So your installed path should looks like this:

%{perl_vendorlib}/JSDoc
%{perl_vendorlib}/JavaScript
instead of
%{perl_vendorlib}/*

* rpmlint:
If your files plan/are exacutable scripts, add shebang to the script otherwise
remove executable from these files.
.pm and .tpml files  no need to be executable.

===================================

Comment 5 Matěj Cepl 2007-06-22 18:21:46 EDT
Should be fixed. New packages are at http://www.ceplovi.cz/matej/progs/rpms/,
specifically SRPM is
http://www.ceplovi.cz/matej/progs/rpms/JSDoc-1.10.2-3.fc7.src.rpm and SPEC file
http://www.ceplovi.cz/matej/progs/rpms/JSDoc.spec
Comment 6 Xavier Lamien 2007-06-28 16:51:13 EDT
All right, all issues above have been fixed.
Also silent of rpmlint output on both, srpm and rpm.



============
* APPROVED *
============
Comment 7 Matěj Cepl 2007-06-29 05:01:53 EDT
New Package CVS Request
=======================
Package Name: JSDoc
Short Description: Produces javadoc-style documentation from JavaScript sourcefiles
Owners: mcepl@redhat.com
Branches: FC-6 F-7 EL-4 EL-5
InitialCC: 
Comment 8 Kevin Fenzi 2007-06-29 16:45:12 EDT
cvs done.
Comment 9 Fedora Update System 2007-07-02 12:07:31 EDT
JSDoc-1.10.2-4.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2007-07-16 12:56:04 EDT
JSDoc-1.10.2-4.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.